org.codehaus.groovy.classgen

## Class ClassGeneratorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.codehaus.groovy.classgen.ClassGeneratorException

- All Implemented Interfaces:
    java.io.Serializable

      public class ClassGeneratorException
      extends java.lang.RuntimeException

  An exception thrown by the class generator
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassGeneratorException(java.lang.String message)`
    `ClassGeneratorException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassGeneratorException

          public ClassGeneratorException(java.lang.String message)

    - #### ClassGeneratorException

          public ClassGeneratorException(java.lang.String message,
                                 java.lang.Throwable cause)